%define major 0
%define libname %mklibname xmlrpc-epi %{major}
%define develname %mklibname xmlrpc-epi -d

#don't use parallel compilation, it is broken 
%global _smp_ncpus_max 1

Summary:	An implementation of the XML-RPC protocol in C
Name:		xmlrpc-epi
Version:	0.54.2
Release:	%mkrel 15
License:	BSD
Group:		System/Libraries
URL:		https://xmlrpc-epi.sourceforge.net/
Source0:	https://downloads.sourceforge.net/xmlrpc-epi/xmlrpc-epi-%{version}.tar.bz2
Patch0:		xmlrpc-epi-0.51-format_not_a_string_literal_and_no_format_arguments.diff
Patch1:		xmlrpc-epi-0.54-no_samples.diff
Patch2:		xmlrpc-epi-0.54.2-CVE-2016-6296.patch
Patch3:		xmlrpc-epi-0.54.2-php5.6.40.patch
BuildRequires:	pkgconfig(expat)

%description
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It provides an 
easy to use API for developers to serialize RPC requests to and from XML.
It does *not* include a transport layer, such as HTTP. The API is primarily
based upon proprietary code written for internal usage at Epinions.com, and
was later modified to incorporate concepts from the xmlrpc protocol.

%package -n	%{libname} 
Summary:	Library providing XMLPC support in C
Group:		System/Libraries

%description -n	%{libname}
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It provides an 
easy to use API for developers to serialize RPC requests to and from XML.
It does *not* include a transport layer, such as HTTP. The API is primarily
based upon proprietary code written for internal usage at Epinions.com, and
was later modified to incorporate concepts from the xmlrpc protocol.
 
%package -n	%{develname}
Summary:	Libraries, includes, etc. to develop XML and HTML applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libxmlrpc-devel = %{version}-%{release}
Provides:	xmlrpc-epi-devel = %{version}-%{release}

%description -n	%{develname}
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It provides an
easy to use API for developers to serialize RPC requests to and from XML.
It does *not* include a transport layer, such as HTTP. The API is primarily
based upon proprietary code written for internal usage at Epinions.com, and
was later modified to incorporate concepts from the xmlrpc protocol.

%prep

%setup -q
%patch -P 0 -p1 -b .format_not_a_string_literal_and_no_format_arguments
%patch -P 1 -p0 -b .no_samples
%patch -P 2 -p1 -b .CVE-2016-6296
%patch -P 3 -p1 -b .php

# Make it lib64 aware
find . -name "Makefile.*" | xargs perl -pi -e "s,-L\@prefix\@/lib,,g"

perl -pi -e "s,-L/usr/local/lib\b,," configure*
perl -pi -e "s|withval/lib|withval/%{_lib}|g" configure*

%build
autoreconf -fi

%configure \
    --with-expat=%{_prefix}

%make_build

%install
%make_install

# fix file conflicts
install -d %{buildroot}%{_includedir}/xmlrpc-epi
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/xmlrpc-epi/


%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc INSTALL
%dir %{_includedir}/xmlrpc-epi
%{_includedir}/xmlrpc-epi/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.54.2-15.mga10
+ Revision: 2232530
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.54.2-14.mga10
+ Revision: 2128363
- Rebuild for patchN deprecation

* Wed Mar 16 2022 umeabot <umeabot> 0.54.2-13.mga9
+ Revision: 1794270
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 0.54.2-12.mga9
+ Revision: 1790032
- fix files list

* Mon May 04 2020 ovitters <ovitters> 0.54.2-11.mga8
+ Revision: 1579604
- rebuild to test changing makeinstall_std macro make_install

* Fri Feb 14 2020 umeabot <umeabot> 0.54.2-10.mga8
+ Revision: 1522882
- Mageia 8 Mass Rebuild

* Sun Feb 10 2019 luigiwalser <luigiwalser> 0.54.2-9.mga7
+ Revision: 1365147
- add fixes from php 5.6.40

* Sun Sep 23 2018 umeabot <umeabot> 0.54.2-8.mga7
+ Revision: 1301937
- Mageia 7 Mass Rebuild

* Mon Jul 25 2016 luigiwalser <luigiwalser> 0.54.2-7.mga6
+ Revision: 1043588
- add patch from php to fix CVE-2016-6296

* Mon Feb 08 2016 umeabot <umeabot> 0.54.2-6.mga6
+ Revision: 942939
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.54.2-5.mga5
+ Revision: 750767
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.54.2-4.mga5
+ Revision: 690705
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.54.2-3.mga4
+ Revision: 520754
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.54.2-2.mga3
+ Revision: 387195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 0.54.2-1.mga3
+ Revision: 338751
- 0.54.2

* Mon Apr 02 2012 pterjan <pterjan> 0.54.1-2.mga2
+ Revision: 227752
- Rebuild after libexpat.la removal
+ mikala <mikala>
- Drop mdk macros
- imported package xmlrpc-epi


* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.54.1-1mdv2011.0
+ Revision: 568118
- 0.54.1

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.54-3mdv2010.1
+ Revision: 519082
- rebuild

* Fri Jun 12 2009 Oden Eriksson <oeriksson@mandriva.com> 0.54-2mdv2010.0
+ Revision: 385409
- use the correct libname
- don't build the samples
- move the header files to the correct place
- cleanup the spec file some

* Wed Jun 10 2009 Oden Eriksson <oeriksson@mandriva.com> 0.54-1mdv2010.0
+ Revision: 384837
- 0.54
- nuke redundant patches
- rediffed the format string patch

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0.51-16mdv2009.1
+ Revision: 319111
- fix build with -Werror=format-security (P3)

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 0.51-15mdv2009.0
+ Revision: 226067
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.51-14mdv2008.1
+ Revision: 179490
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.51-13mdv2008.0
+ Revision: 39325
- fix provides (thanks blino!)

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.51-12mdv2008.0
+ Revision: 39288
- rebuild

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.51-11mdv2008.0
+ Revision: 38418
- fix building (spturtle :)
- use hack for parallel build
- drop br on automake1.4
- fix mixture of tabs and spaces
- spec file clean

* Mon Apr 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.51-10mdv2008.0
+ Revision: 17465
- Fix buildrequires
- Patch2 (Linden Labs): link to system expat lib, don't use internal copy


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.51-9mdv2007.0
+ Revision: 74648
- bunzip patches
- Import xmlrpc-epi

* Tue May 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.51-8mdk
- rebuild

* Wed Aug 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.51-7mdk
- gcc4 & mklibname fixes
- drop provides libxmlrpc

* Sat Aug 14 2004 Pixel <pixel@mandrakesoft.com> 0.51-6mdk
- rebuild

